Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.core
Class ModelQuerySetCatalog

    java.lang.Object
      AbstractMoDiscoCatalog
          org.eclipse.gmt.modisco.infra.query.core.ModelQuerySetCatalog

    public final class ModelQuerySetCatalog

extends AbstractMoDiscoCatalog

Field Summary
`static java.lang.String` | `FACTORY_EXTENSION_POINT_ID`
`static java.lang.String` | `FILE_EXTENSION`
`static java.lang.String` | `REGISTRATION_EXTENSION_POINT_ID`

Method Summary
`java.util.Collection<ModelQuerySet>` | `getAllModelQuerySets()` This methods returns the query sets of all the resources contained in the catalog.
`java.lang.String` | `getFileExtension()`
`java.util.List<IModelQueryFactory>` | `getInstalledModelQueryFactory()` This method returns the list of the installed model query factory.
`AbstractModelQuery` | `getModelQueryImpl(ModelQuery modelQuery)` This method return a java object containing the model query implementation.
`ModelQuerySet` | `getModelQuerySet(java.lang.String name)` This method returns the model query set of the resource having for name the "name" parameter value.
`static ModelQuerySetCatalog` | `getSingleton()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGISTRATION_EXTENSION_POINT_ID

    public static final java.lang.String REGISTRATION_EXTENSION_POINT_ID

See Also:
  Constant Field Values

### FACTORY_EXTENSION_POINT_ID

    public static final java.lang.String FACTORY_EXTENSION_POINT_ID

See Also:
  Constant Field Values

### FILE_EXTENSION

    public static final java.lang.String FILE_EXTENSION

See Also:
  Constant Field Values

Method Detail

### getSingleton

    public static ModelQuerySetCatalog getSingleton()

### getModelQuerySet

    public ModelQuerySet getModelQuerySet(java.lang.String name)

  This method returns the model query set of the resource having for name the "name" parameter value.

  Parameters:
    `name` - the name of a resource contained in the catalog
  Returns:
    return a model query set

### getAllModelQuerySets

    public java.util.Collection<ModelQuerySet> getAllModelQuerySets()

  This methods returns the query sets of all the resources contained in the catalog.

  Returns:
    returns all the query sets

### getInstalledModelQueryFactory

    public java.util.List<IModelQueryFactory> getInstalledModelQueryFactory()

  This method returns the list of the installed model query factory.

  Returns:
    model query factories

### getModelQueryImpl

    public AbstractModelQuery getModelQueryImpl(ModelQuery modelQuery)
                                         throws ModelQueryException

  This method return a java object containing the model query implementation.

  Parameters:
    `modelQuery` - a model query
  Returns:
    a model query implementation instance
  Throws:
    `ModelQueryException`

### getFileExtension

    public java.lang.String getFileExtension()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD